XLDAsCodeService

XLDAsCode service interface matching XLDAsCodeResource functionality. Provides REST endpoints for DevOps-as-Code operations. Similar to TaskBlockService, this interface can be accessed by: - In-process workers: ServiceHolder.getXLDAsCodeService() - External workers: via HTTP proxy from Proxies.getXLDAsCodeService()

POST /xld-as-code/v1//apply Applies DevOps-as-Code YAML definition to create/update CIs.
GET /xld-as-code/v1//generate Generates YAML definitions from existing XL Deploy repository structure.

POST /xld-as-code/v1//apply

Applies DevOps-as-Code YAML definition to create/update CIs.
Parameters
Request body text/plain String The YAML definition content
Response body
XLDAsCodeResult - XLDAsCodeResult indicating success/failure and details
Content type: application/xml

GET /xld-as-code/v1//generate

Generates YAML definitions from existing XL Deploy repository structure.
Parameters
Query path String Repository path to generate from (optional)
Query globalPermissions boolean Include global permissions in generation
Query roles boolean Include roles in generation
Query users boolean Include users in generation
Query secrets boolean Include secrets in generation
Query defaults boolean Include default values in generation
Response body
XLDAsCodeResult - XLDAsCodeResult containing generated YAML content
Content type: application/xml